package com.xsnb.auth.controller;


import com.xsnb.auth.service.AuthService;
import com.xsnb.common.domain.User;
import com.xsnb.common.domain.request.RequestUser;
import com.xsnb.common.domain.response.RespJwt;
import com.xsnb.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@Log4j2
public class AuthController {
    @Autowired
    AuthService authService;



    @PostMapping("/getPhoneCode")
    public Result getPhoneCode(@RequestBody  User user ){
       log.info("获取的信息:{}",user.toString());
        return authService.getPhoneCode(user);
    }


    /**
     *
     * 登录
     * @param requestUser
     * @return
     */
    @PostMapping("/login")
    Result<RespJwt> login(@RequestBody RequestUser requestUser){

        return authService.login(requestUser);
    }


    @GetMapping("/user/info")
    Result<User> userinfo(HttpServletRequest request){
        return  authService.userinfo(request);

    }


}
